> For the complete documentation index, see [llms.txt](https://docs.complycube.com/documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.complycube.com/documentation/api-reference/core-resources/checks/update-a-check.md).

# Update a check

### URL

<mark style="color:green;">**POST**</mark> `https://api.complycube.com/v1/checks/:id`

Updates the specified check by setting the values of the parameters passed.\
\
You can only update checks of type **standard\_screening\_check** and **extensive\_screening\_check**. The update allows you to enable or disable continuous monitoring.

### Headers

<table><thead><tr><th width="254">Name</th><th width="131">Type</th><th>Description</th></tr></thead><tbody><tr><td><code>Content-Type</code><mark style="color:red;">*</mark></td><td>string</td><td>The content-type must always be set to <code>application/json</code>.</td></tr><tr><td><code>Authorization</code><mark style="color:red;">*</mark></td><td>string</td><td>The API <code>live</code> or <code>test</code> key.</td></tr></tbody></table>

### Path parameters

<table><thead><tr><th width="259">Name</th><th width="127">Type</th><th>Description</th></tr></thead><tbody><tr><td><code>id</code><mark style="color:red;">*</mark></td><td>string</td><td>The ID of the check.</td></tr></tbody></table>

### Body

<table><thead><tr><th width="262">Name</th><th width="125">Type</th><th>Description</th></tr></thead><tbody><tr><td><code>enableMonitoring</code></td><td>boolean</td><td>Determines whether continuous monitoring is enabled.</td></tr></tbody></table>

### Example request

{% tabs %}
{% tab title="cURL" %}

```bash
curl -X POST https://api.complycube.com/v1/checks/{:checkId} \
     -H 'Authorization: <YOUR_API_KEY>' \
     -H 'Content-Type: application/json' \
     -d '{
          	"enableMonitoring": true
        }'
```

{% endtab %}

{% tab title="Node.js" %}

```javascript
const { ComplyCube } = require("@complycube/api");

const complycube = new ComplyCube({ apiKey: "<YOUR_API_KEY>" });

const client = await complycube.check.update("CHECK_ID", {
  enableMonitoring: true
});
```

{% endtab %}

{% tab title="Python" %}

```python
from complycube import ComplyCubeClient

cc_api = ComplyCubeClient(api_key='<YOUR_API_KEY>')

check = cc_api.checks.update('CHECK_ID', enableMonitoring=True)
```

{% endtab %}

{% tab title="PHP" %}

```php
use ComplyCube\ComplyCubeClient;

$ccapi = new ComplyCubeClient('<YOUR_API_KEY>');

$check = $ccapi->checks()->update('CHECK_ID', ['enableMonitoring' => true]);
```

{% endtab %}

{% tab title=".NET" %}

```csharp
using ComplyCube.Net;
using ComplyCube.Net.Resources.Checks;

var checkApi = new CheckApi(new ComplyCubeClient("<YOUR_API_KEY>"));

var checkRequest = new CheckRequest {
  enableMonitoring = "standard_screening_check"
};

var check = await checkApi.UpdateAsync("CHECK_ID", checkRequest);
```

{% endtab %}
{% endtabs %}

### Example responses

{% tabs %}
{% tab title="Success (200)" %}

```json
{
    "id": "5eb2b61e02df0a0008f1cf2a",
    "clientId": "5eb1276d96be4a0008713af5",
    "entityName": "John Doe",
    "type": "extensive_screening_check",
    "status": "complete",
    "enableMonitoring": true,
    "result": {
        "outcome": "clear",
        "breakdown": {
            "summary": {
                "pep": {
                    "level1": "clear",
                    "level2": "clear",
                    "level3": "clear",
                    "level4": "clear"
                },
                "watchlist": {
                    "sanctionsLists": "clear",
                    "otherOfficialLists": "clear",
                    "warCrimes": "clear",
                    "terror": "clear",
                    "otherExclusionLists": "clear",
                    "sanctionsControlAndOwnership": "clear"
                },
                "adverseMedia": {
                    "environmentProduction": "clear",
                    "socialLabour": "clear",
                    "competitiveFinancial": "clear",
                    "regulatory": "clear"
                },
                "otherLists": {
                    "associatedEntity": "clear",
                    "organisedCrime": "clear",
                    "financialCrime": "clear",
                    "taxCrime": "clear",
                    "corruption": "clear",
                    "trafficking": "clear"
                }
            }
        }
    },
    "createdAt": "2020-01-01T14:06:44.756Z",
    "updatedAt": "2020-01-01T14:07:10.401Z"
}
```

{% endtab %}

{% tab title="Invalid Request (400)" %}

```json
{
    "type": "invalid_check_update",
    "message": "Only checks of type 'standard_screening_check' and 'extensive_screening_check' may be updated"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.complycube.com/documentation/api-reference/core-resources/checks/update-a-check.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
